# Note that this is NOT a relocatable package
%define ver      0.8.7
%define rel      1

Summary: An xterm replacement for users of the Enlightenment window manager.

Name: Eterm 
Version: %ver
Release: %rel
Copyright: GPL
Group: X11/Applications
Source0: ftp://ftp.enlightenment.org/pub/Eterm/Eterm-%{ver}.tar.gz
Source1: ftp://ftp.enlightenment.org/pub/Eterm/Eterm-backgrounds.tar.gz
URL: http://www.rasterman.com/
BuildRoot: /var/tmp/Eterm-root
Requires: imlib

%description
Eterm is a color vt102 terminal emulator with enhanced
graphical abilities.  Eterm is intended to be a replacement for xterm for
Enlightenment window manager users, but it can also be used as a replacement
for xterm by users without Enlightenment.  Eterm supports various themes and
is very configurable, in keeping with the philosophy of Enlightenment. If
you install Eterm, you'll also need to have the Imlib library installed.

%prep
%setup -q -n Eterm-%{ver}

%build
./configure
make CLFAGS="RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install

( cd $RPM_BUILD_ROOT
  mv ./usr/bin/Eterm ./usr/bin/Eterm-%{ver}
  ln -sf Eterm-%{ver} ./usr/bin/Eterm
  chmod +x ./usr/lib/lib*.so.*.*
  cd ./usr/lib/Eterm
  tar xzf %{SOURCE1}
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/Eterm
/usr/bin/Esetroot
/usr/bin/Eterm-%{ver}
/usr/lib/lib*
/usr/lib/Eterm
/usr/man/man1/Eterm.1

%doc doc/Eterm.help doc/Eterm.ref doc/Eterm.tcap doc/Eterm.ti doc/FAQ.html
%doc doc/colortest.sh doc/menu_cmd
%doc COPYING CVS-README ReleaseNotes

%changelog
* Fri Oct 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.8.7.

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built eterm
